Bug 436166 - Authorization window doesn't get focus reasonably
Authorization window doesn't get focus reasonably
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-05 13:45 EST by Jeremy Katz
Modified: 2014-06-18 05:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-12 15:06:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 519188 None None None Never

  None (edit)
Description Jeremy Katz 2008-03-05 13:45:49 EST
When PolicyKit pops up a window for authorization although its widgets have
focus, the window title bar remains the unfocused grey.  This is ... odd.  And
canceling seems to only sometimes work, not that I have a better heuristic on
what's going on there right now :-/
Comment 1 Matthias Clasen 2008-03-05 14:53:57 EST
This is a metacity bug.
Comment 2 Matthias Clasen 2008-03-05 14:54:52 EST
Comment 3 David Zeuthen 2008-03-06 03:04:47 EST
We really should fix this; it affects a ton of other apps including
gnome-keyring, nautilus and the list goes on.
Comment 4 David Zeuthen 2008-03-06 03:06:56 EST
Btw, the reason the widgets have focus is that the polkit auth dialog grabs the
keyboard and pointer.
Comment 5 Marco Pesenti Gritti 2008-03-12 15:06:42 EDT
Should be fixed in metacity-2.22.0-2.fc9

Note You need to log in before you can comment on or make changes to this bug.